Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cometd.demo
Class CometdDemoServlet

    java.lang.Object
      javax.servlet.GenericServlet
          org.cometd.demo.CometdDemoServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class CometdDemoServlet

extends javax.servlet.GenericServlet

See Also:
  Serialized Form

Nested Class Summary
`static class` | `CometdDemoServlet.EchoRPC`
`static class` | `CometdDemoServlet.Monitor`

Constructor Summary
`CometdDemoServlet()`

Method Summary
`void` | `init()`
`void` | `service(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CometdDemoServlet

    public CometdDemoServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### service

    public void service(javax.servlet.ServletRequest req,
                        javax.servlet.ServletResponse res)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    `service` in interface `javax.servlet.Servlet`
  Specified by:
    `service` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.